## mwrap 0.33

=== example/Makefile ===
all:
	(cd foobar; make)
	(cd eventq; make)
	(cd eventq2; make)
	(cd zlib; make)
	(cd fem; make)

clean:
	(cd foobar; make clean)
	(cd eventq; make clean)
	(cd eventq2; make clean)
	(cd zlib; make clean)
	(cd fem; make clean)
