=== debian/changelog ===
mwrap (0.33-9build2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Mar 2020 15:00:52 +0100

mwrap (0.33-9build1) focal; urgency=medium

  * Rebuild against new liboctave7.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 02 Nov 2019 20:38:01 +0100

mwrap (0.33-9) unstable; urgency=medium

  * Team upload

  * d/control:
    + Bump Standards-Version to 4.3.0 (no changes needed)
    + Bump to debhelper compat level 12
  * Build-depend on debhelper-compat instead of using d/compat

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 02 Jan 2019 22:53:20 -0200

mwrap (0.33-8) unstable; urgency=medium

  * Team upload

  * d/p/force-doc-date.patch: New patch

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 23 Jul 2018 16:48:02 -0300

mwrap (0.33-7) unstable; urgency=medium

  * Team upload

  * d/p/compile-with-gcc-8.patch: New patch (Closes: #897816)

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 22 Jul 2018 08:50:56 -0300

mwrap (0.33-6) unstable; urgency=medium

  * Team upload

  * d/t/control: Add the necessary dependency to the binary package

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 15 Jul 2018 05:07:08 -0300

mwrap (0.33-5) unstable; urgency=medium

  * Team upload

  * d/control:
    + Add Rules-Requires-Root: no
    + Bump Standards-Version to 4.1.5
  * New patches:
    + d/p/allow-alternate-mwrap-in-tests.patch
    + d/p/reproducible-build.patch
  * Add support for autopkgtest

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 14 Jul 2018 16:25:45 -0300

mwrap (0.33-4) unstable; urgency=medium

  * Team upload

  * d/control: Bump Standards-Version to 4.1.3
  * d/control: Replace Priority:extra with Priority:optional.
    This is mandated by the Debian Policy since version 4.0.1.
  * Set debhelper compatibility level to >= 11
  * d/watch: Use secure upstream URI

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 11 Feb 2018 08:42:44 -0200

mwrap (0.33-3) unstable; urgency=medium

  [ Sébastien Villemot ]
  * d/copyright: use secure URL for format.
  * d/watch: bump to format version 4.
  * d/control: use secure URLs for Vcs-* fields.

  [ Rafael Laboissiere ]
  * d/control:
     + Use Debian's GitLab URLs in Vcs-* headers
     + Change Maintainer to team+pkg-octave-team@tracker.debian.org

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 08 Feb 2018 11:30:43 -0200

mwrap (0.33-2) unstable; urgency=medium

  * Team upload.
  * d/control, d/copyright: update upstream URL
  * Remove Thomas Weber and myself from Uploaders.
  * Remove obsolete DM-Upload-Allowed field.
  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 18 Sep 2014 16:48:22 +0200

mwrap (0.33-1) unstable; urgency=low

  [ Nicolas Bourdaud ]
  * Initial release. (Closes: #673318)
  * Add Sébastien Villemot to uploaders list and enable DM-upload
  * Install examples

  [ Thomas Weber ]
  * Add Thomas Weber to Uploaders
  * Recommend 'octave' for the binary package

 -- Thomas Weber <tweber@debian.org>  Tue, 29 May 2012 00:14:33 +0200
