=== debian/control ===
Source: mwrap
Section: devel
Priority: optional
Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
Uploaders: Nicolas Bourdaud <nicolas.bourdaud@gmail.com>
Build-Depends: bison,
               debhelper-compat (= 12),
               flex,
               latexmk,
               liboctave-dev
Standards-Version: 4.3.0
Homepage: http://www.cs.cornell.edu/~bindel/sw/mwrap/
Vcs-Browser: https://salsa.debian.org/pkg-octave-team/mwrap
Vcs-Git: https://salsa.debian.org/pkg-octave-team/mwrap.git
Rules-Requires-Root: no

Package: mwrap
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: octave
Description: Octave/MATLAB mex generator
 MWrap is an interface generation system in the spirit of SWIG or matwrap.
 From a set of augmented Octave/MATLAB script files, MWrap will generate a
 MEX gateway to desired C/C++ function calls and Octave/MATLAB function
 files to access that gateway.  The details of converting to and from
 Octave/MATLAB's data structures, and of allocating and freeing temporary
 storage, are hidden from the user.
