=== debian/tests/control ===
Tests: run
Depends: @, liboctave-dev
Restrictions: allow-stderr
