=== debian/changelog ===
mwrap (0.33.12-1) unstable; urgency=medium

  * New upstream version 0.33.12
  * d/copyright: Reflect upstream changes
  * d/watch: Update for new upstream repository
  * d/u/metadata: Update upstream URLs
  * d/control:
    + Update upstream homepage
    + Add myself to the list of Uploaders
  * d/p/fix-makefile.patch: Drop patch (not needed anymore)
  * d/rules: Install mwrap executable
  * d/p/fix-build-error.patch: Drop patch (applied upstream)
  * Patches refreshed for new upstream version:
    + d/p/allow-alternate-mwrap-in-tests.patch
    + d/p/compile-with-gcc-8.patch
  * d/clean: Add mwrap.fls to the list of files to clean
  * d/p/reproducible-build.patch: Set Forwarded:not-needed
  * d/p/no-hardcoded-cc-cxx.patch: New patch
  * d/p/use-implicit-rules.patch: New patch
  * d/p/compile-with-gcc-8.patch: Add URL to Forwarded field
  * d/p/force-doc-date.patch: Set Forwarded:not-needed
  * d/p/compile-with-bison-3.6.1.patch: Update URL of Forwarded field
  * d/p/fix-doc-build.patch: Drop changes in doc/mwrap.tex
  * Add manual page through patch
    + d/p/man-page.patch: New patch
    + debian/mwrap.1: Remove file
    + debian/manpages: Install the file

 -- Rafael Laboissière <rafael@debian.org>  Wed, 05 Aug 2020 03:08:56 -0300

mwrap (0.33-10) unstable; urgency=medium

  * Team upload

  * d/u/metadata: New file
  * d/control:
    + Bump the Debhelper compatibility level to 13
    + Bump Standards-Version to 4.5.0 (no changes needed)
  * d/p/compile-with-bison-3.6.1.patch: New patch (Closes: #960402)

 -- Rafael Laboissière <rafael@debian.org>  Wed, 27 May 2020 09:23:45 -0300
