=== debian/changelog ===
mwrap (1.0-2) unstable; urgency=medium

  * d/p/avoid-seg-fault-fortran1.patch: New patch

 -- Rafael Laboissière <rafael@debian.org>  Sun, 09 Aug 2020 13:02:13 -0300

mwrap (1.0-1) unstable; urgency=medium

  * New upstream version 1.0
  * d/copyright: Reflect upstream changes
  * Patches refreshed for new upstream version:
    + d/p/fix-doc-build.patch
    + d/p/allow-alternate-mwrap-in-tests.patch
  * Dropped patches:
    + d/p/compile-with-gcc-8.patch
    + d/p/no-hardcoded-cc-cxx.patch
    + d/p/man-page.patch
  * d/p/use-octave-cli.patch: New patch

 -- Rafael Laboissière <rafael@debian.org>  Sat, 08 Aug 2020 11:31:45 -0300
