=== debian/control ===
--- 
+++ 
@@ -2,14 +2,15 @@
 Section: devel
 Priority: optional
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
-Uploaders: Nicolas Bourdaud <nicolas.bourdaud@gmail.com>
+Uploaders: Nicolas Bourdaud <nicolas.bourdaud@gmail.com>,
+           Rafael Laboissière <rafael@debian.org>
 Build-Depends: bison,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                flex,
                latexmk,
                liboctave-dev
-Standards-Version: 4.3.0
-Homepage: http://www.cs.cornell.edu/~bindel/sw/mwrap/
+Standards-Version: 4.5.0
+Homepage: https://www.cs.cornell.edu/~bindel/blurbs/mwrap.html
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/mwrap
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/mwrap.git
 Rules-Requires-Root: no
