=== debian/watch ===
version=4
opts="filenamemangle=s/(?:.*?)?v?([\.\d]+)\.tar\.gz/mwrap-$1.tar.gz/"	\
    https://github.com/zgimbutas/mwrap/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
