## mwrap 1.1

=== debian/changelog ===
mwrap (1.1-1) unstable; urgency=medium

  * New upstream version 1.1
  * d/copyright: Reflect upstream changes
  * Drop patches (applied upstream):
    + d/p/use-octave-cli.patch
    + d/p/avoid-seg-fault-fortran1.patch
  * Refresh patches for new upstream version:
    + d/p/force-doc-date.patch
    + d/p/allow-alternate-mwrap-in-tests.patch
  * d/watch: Drop option filenamemangle
  * d/control: Bump Standards-Version to 4.6.1 (no changes needed)

 -- Rafael Laboissière <rafael@debian.org>  Fri, 10 Jun 2022 07:42:53 -0300

mwrap (1.0-3) unstable; urgency=medium

  * d/p/avoid-seg-fault-fortran1.patch: Add URL to the Forwarded header
  * d/control: Bump Standards-Version to 4.6.0 (no changes needed)
  * d/copyright: Update copyright year for the debian/* files

 -- Rafael Laboissière <rafael@debian.org>  Sun, 21 Nov 2021 06:50:38 -0300
