=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                flex,
                latexmk,
                liboctave-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Homepage: https://www.cs.cornell.edu/~bindel/blurbs/mwrap.html
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/mwrap
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/mwrap.git
