=== debian/changelog ===
mwrap (1.1.1-6) unstable; urgency=medium

  * d/p/deprecated-error-verbose-bison.patch: Add field Applied-Upstream
  * Adjust patches in order to avoid race conditions

 -- Rafael Laboissière <rafael@debian.org>  Mon, 17 Mar 2025 11:34:22 -0300

mwrap (1.1.1-5) unstable; urgency=medium

  * d/p/deprecated-error-verbose-bison.patch: Adjust patch for working
    with both versions 2 and 3 of Bison
  * d/rules: Remove file src/mwrap.y after dh_auto_clean

 -- Rafael Laboissière <rafael@debian.org>  Wed, 12 Mar 2025 04:44:31 -0300

mwrap (1.1.1-4) unstable; urgency=medium

  * d/p/avoid-race-condition-parallel-make.patch: New patch (Closes: #1092433)
  * d/p/deprecated-error-verbose-bison.patch: New patch
  * d/control: Bump Standards-Version to 4.7.2 (no changes needed)

 -- Rafael Laboissière <rafael@debian.org>  Sun, 09 Mar 2025 16:04:38 -0300

mwrap (1.1.1-3) unstable; urgency=medium

  [ Rafael Laboissière ]
  * d/control: Bump Standards-Version to 4.7.0 (no changes needed)

  [ Jeremy Bícha ]
  * Fix autopkgtests following dpkg changes (LP: #2071468)

 -- Rafael Laboissière <rafael@debian.org>  Mon, 01 Jul 2024 04:52:25 -0300

mwrap (1.1.1-2) unstable; urgency=medium

  * d/control: Bump Standards-Version to 4.6.2 (no changes needed)
  * d/copyright:
    + Update Source URL
    + Update years list for copyright of debian/* files
  * Use octave-dev instead of liboctave-dev

 -- Rafael Laboissière <rafael@debian.org>  Fri, 05 Jan 2024 07:42:26 -0300

mwrap (1.1.1-1) unstable; urgency=medium

  [ Rafael Laboissière ]
  * New upstream version 1.1.1

  [ Sébastien Villemot ]
  * Build-Depend on octave-dev instead of liboctave-dev

 -- Rafael Laboissière <rafael@debian.org>  Mon, 29 Aug 2022 04:24:37 -0300
