=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
                debhelper-compat (= 13),
                flex,
                latexmk,
-               liboctave-dev
-Standards-Version: 4.6.1
+               octave-dev
+Standards-Version: 4.7.2
 Homepage: https://www.cs.cornell.edu/~bindel/blurbs/mwrap.html
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/mwrap
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/mwrap.git
