=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh  $@

execute_after_dh_auto_install:
	mkdir -p debian/mwrap/usr/bin
	install mwrap debian/mwrap/usr/bin

execute_after_dh_auto_clean:
	rm -f src/mwrap.y
