## mwrap 1.2.1

=== Makefile ===
--- 
+++ 
@@ -2,6 +2,9 @@
 
 bin:
 	(cd src; make)
+
+doc:
+	(cd doc; make)
 
 test: 
 	(cd testing; make)
