=== doc/Makefile ===
all: mwrap.pdf

mwrap.pdf: mwrap.tex
	pdflatex mwrap.tex

clean:
	rm -f mwrap.aux mwrap.log mwrap.pdf
