=== debian/changelog ===
mwrap (1.2.1-3) unstable; urgency=medium

  * d/watch: Convert to format version 5
  * d/rules: Set DEB_BUILD_MAINT_OPTIONS to hardening=+all

 -- Rafael Laboissière <rafael@debian.org>  Sat, 18 Oct 2025 11:32:08 -0300

mwrap (1.2.1-2) unstable; urgency=medium

  * Upload to unstable
  * d/control: Drop “Rules-Requires-Root: no”, which is now the default

 -- Rafael Laboissière <rafael@debian.org>  Mon, 08 Sep 2025 06:35:55 -0300

mwrap (1.2.1-1) experimental; urgency=medium

  * New upstream version 1.2.1
  * d/p/fix-name-spelling.patch: Drop patch (applied upstream)
  * d/p/force-doc-date.patch: Refresh for new upstream version

 -- Rafael Laboissière <rafael@debian.org>  Tue, 06 May 2025 02:36:04 -0300

mwrap (1.2-1) experimental; urgency=medium

  * New upstream version 1.2
  * Use upstream Makefile for building the documentation
    + d/p/fix-doc-build.patch: Drop patch (applied upstream)
    + d/rules: Build and clean the documentation
    + d/docs: Fix path for the PDF file
    + d/clean: Drop obsolete lines
  * Refresh patches for new upstream version:
    + d/p/reproducible-build.patch
    + d/p/allow-alternate-mwrap-in-tests.patch
    + d/p/force-doc-date.patch
    + d/p/use-implicit-rules.patch
  * Drop patches (applied upstream):
    + d/p/avoid-race-condition-parallel-make.patch
    + d/p/deprecated-error-verbose-bison.patch
  * d/p/fix-name-spelling.patch: New patch
  * d/rules: Drop useless removal of src/mwrap.y

 -- Rafael Laboissière <rafael@debian.org>  Mon, 05 May 2025 16:12:04 -0300
