=== debian/control ===
--- 
+++ 
@@ -13,7 +13,6 @@
 Homepage: https://www.cs.cornell.edu/~bindel/blurbs/mwrap.html
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/mwrap
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/mwrap.git
-Rules-Requires-Root: no
 
 Package: mwrap
 Architecture: any
