=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh  $@

execute_after_dh_auto_build:
	make -C doc

execute_after_dh_auto_install:
	mkdir -p debian/mwrap/usr/bin
	install mwrap debian/mwrap/usr/bin

execute_after_dh_auto_clean:
	make -C doc clean
