=== debian/tests/control ===
Tests: run
Depends: @, octave-dev
Restrictions: allow-stderr
