=== debian/changelog ===
mwrap (1.3-1) unstable; urgency=medium

  * New upstream version 1.3
  * d/copyright: Reflect upstream changes
  * d/p/allow-alternate-mwrap-in-tests.patch: Refresh for new upstream version
  * d/p/force-doc-date.patch: Refresh for new upstream version
  * d/docs: Include README.md file
  * d/control:
    + Drop the redundant Priority field, which defaults to optional now
    + Bump Standards-Version to 4.7.3
  * d/control: Update Homepage
  * d/salsa-ci.yml: Add CI pipeline

 -- Rafael Laboissière <rafael@debian.org>  Thu, 26 Feb 2026 09:53:16 +0000
