=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: mwrap
 Section: devel
-Priority: optional
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
 Uploaders: Nicolas Bourdaud <nicolas.bourdaud@gmail.com>,
            Rafael Laboissière <rafael@debian.org>
@@ -9,8 +8,8 @@
                flex,
                latexmk,
                octave-dev
-Standards-Version: 4.7.2
-Homepage: https://www.cs.cornell.edu/~bindel/blurbs/mwrap.html
+Standards-Version: 4.7.3
+Homepage: https://github.com/zgimbutas/mwrap
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/mwrap
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/mwrap.git
